Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039401
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Copy Retail Storemajoralways2018-10-04 13:042018-10-19 11:58
ReporterucarrionView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision666117af6d9b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date2018-10-03
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039401: Copy Store process is duplicating POS Terminal payment method categories

DescriptionCopy Store process is duplicating POS Terminal payment method categories
Steps To Reproduce+Do Copy Retail Store process
+Check that POS Terminal payment methods are being duplicated
Proposed SolutionSee patch attached
TagsNo tags attached.
Attached Files? file icon copyStoreFix.export [^] (2,564 bytes) 2018-10-04 13:19

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107221)
hgbot (developer)
2018-10-08 20:47

Repository: erp/pmods/org.openbravo.retail.copystore
Changeset: 666117af6d9b2afade9701c091b403ebbcd63ad4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Oct 04 13:04:28 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/666117af6d9b2afade9701c091b403ebbcd63ad4 [^]

Fixed issue 39401: PaymentMethodCategories will no longer be duplicated.
Before, the payment method category referenced by a payment method was always cloned. This is not correct, the payment method category should be handled like the rest of the referenced objects in the retail configuration, so that if they are still visible in the new organization (or by the new terminal in case of copy terminal process), then the new object should reference the original payment method category, but if the payment method category is not visible, then it should be cloned but only once, and then the rest should reference the cloned object. This functionality is already implemented in the getObjectInTree method, so we can just use that one to achieve it.

---
M src/org/openbravo/retail/copystore/process/CopyStoreProcess.java
---

- Issue History
Date Modified Username Field Change
2018-10-04 13:04 ucarrion New Issue
2018-10-04 13:04 ucarrion Assigned To => Retail
2018-10-04 13:04 ucarrion Regression date => 2018-10-03
2018-10-04 13:04 ucarrion Triggers an Emergency Pack => No
2018-10-04 13:19 guillermogil File Added: copyStoreFix.export
2018-10-04 13:19 guillermogil Proposed Solution updated
2018-10-04 19:54 rqueralta Assigned To Retail => rqueralta
2018-10-04 19:55 rqueralta Status new => scheduled
2018-10-08 20:47 hgbot Checkin
2018-10-08 20:47 hgbot Note Added: 0107221
2018-10-08 20:47 hgbot Status scheduled => resolved
2018-10-08 20:47 hgbot Resolution open => fixed
2018-10-08 20:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/666117af6d9b2afade9701c091b403ebbcd63ad4 [^]
2018-10-19 11:58 marvintm Review Assigned To => marvintm
2018-10-19 11:58 marvintm Status resolved => closed
2018-10-19 11:58 marvintm Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker